---
- name: Deploy Jenkins
  hosts: jenkins
  become: True
  become_user: "{{user}}"
  vars_files:
    - deploy-jenkins-env
  tasks:
    - name:  Create jenkins Directory
      file:
        path: /home/marc/jenkins
        state: directory
    - name: Create Jenkins data directory
      file:
        path: /home/marc/jenkins/data
        state: directory
    - name: Copy Docker-compose
      copy:
        src: "{{location}}"
        dest: /home/marc/jenkins/docker-compose.yml

- name: Spin Jenkins
  hosts: jenkins
  vars_files:
    - deploy-jenkins-env
  become: True
  become_user: "{{user}}"
  tasks:
    - name: Docker-compose up
      docker_compose:
        project_src: /home/marc/jenkins
        restarted: true
        state: present
